# Class default

#### Hierarchy (view full)

- PokemonSpeciesForm
  - default

#### Implements

- Localizable

- Defined in src/data/pokemon-species.ts:553

#####
Index

### Constructors

constructor

### Properties

ability1
ability2
abilityHidden
baseExp
baseFriendship
baseStats
baseTotal
canChangeForm
catchRate
formIndex
forms
genderDiffs
generation
growthRate
height
isStarterSelectable
legendary
malePercent
mythical
name
species
speciesId
subLegendary
type1
type2
weight

### Methods

cry
generateCandyColors
getAbility
getAbilityCount
getBaseExp
getBaseStat
getCompatibleFusionSpeciesFilter
getCryKey
getEvolutionLevels
getFormSpriteKey
getIconAtlasKey
getIconId
getLevelMoves
getName
getPrevolutionLevels
getRegion
getRootSpeciesId
getSimulatedEvolutionChain
getSpeciesForLevel
getSpriteAtlasPath
getSpriteId
getSpriteKey
getStrengthLevelDiff
getTrainerSpeciesForLevel
getVariantDataIndex
getWildSpeciesForLevel
isCatchable
isObtainable
isOfType
isRareRegional
isRegional
isTrainerForbidden
loadAssets
localize
validateStarterMoveset

## Constructors

### constructor

- new default(id, generation, subLegendary, legendary, mythical, species, type1, type2, height, weight, ability1, ability2, abilityHidden, baseTotal, baseHp, baseAtk, baseDef, baseSpatk, baseSpdef, baseSpd, catchRate, baseFriendship, baseExp, growthRate, malePercent, genderDiffs, canChangeForm?, ...forms): default

- #### Parameters

  - id: Species
  - generation: number
  - subLegendary: boolean
  - legendary: boolean
  - mythical: boolean
  - species: string
  - type1: Type
  - type2: Type
  - height: number
  - weight: number
  - ability1: Abilities
  - ability2: Abilities
  - abilityHidden: Abilities
  - baseTotal: number
  - baseHp: number
  - baseAtk: number
  - baseDef: number
  - baseSpatk: number
  - baseSpdef: number
  - baseSpd: number
  - catchRate: number
  - baseFriendship: number
  - baseExp: number
  - growthRate: GrowthRate
  - malePercent: number
  - genderDiffs: boolean
  - `Optional` canChangeForm: boolean
  - `Rest` ...forms: PokemonForm []

  #### Returns default

  Overrides PokemonSpeciesForm.constructor

  - Defined in src/data/pokemon-species.ts:565

## Properties

### ability1

ability1: Abilities

Inherited from PokemonSpeciesForm.ability1

- Defined in src/data/pokemon-species.ts:129

### ability2

ability2: Abilities

Inherited from PokemonSpeciesForm.ability2

- Defined in src/data/pokemon-species.ts:130

### abilityHidden

abilityHidden: Abilities

Inherited from PokemonSpeciesForm.abilityHidden

- Defined in src/data/pokemon-species.ts:131

### baseExp

baseExp: number

Inherited from PokemonSpeciesForm.baseExp

- Defined in src/data/pokemon-species.ts:136

### baseFriendship

baseFriendship: number

Inherited from PokemonSpeciesForm.baseFriendship

- Defined in src/data/pokemon-species.ts:135

### baseStats

baseStats: number[]

Inherited from PokemonSpeciesForm.baseStats

- Defined in src/data/pokemon-species.ts:133

### baseTotal

baseTotal: number

Inherited from PokemonSpeciesForm.baseTotal

- Defined in src/data/pokemon-species.ts:132

### canChangeForm

canChangeForm: boolean

- Defined in src/data/pokemon-species.ts:562

### catchRate

catchRate: number

Inherited from PokemonSpeciesForm.catchRate

- Defined in src/data/pokemon-species.ts:134

### formIndex

formIndex: number

Inherited from PokemonSpeciesForm.formIndex

- Defined in src/data/pokemon-species.ts:123

### forms

forms: PokemonForm []

- Defined in src/data/pokemon-species.ts:563

### genderDiffs

genderDiffs: boolean

Overrides PokemonSpeciesForm.genderDiffs

- Defined in src/data/pokemon-species.ts:561

### generation

generation: number

Inherited from PokemonSpeciesForm.generation

- Defined in src/data/pokemon-species.ts:124

### growthRate

growthRate: GrowthRate

- Defined in src/data/pokemon-species.ts:559

### height

height: number

Inherited from PokemonSpeciesForm.height

- Defined in src/data/pokemon-species.ts:127

### isStarterSelectable

isStarterSelectable: boolean

Inherited from PokemonSpeciesForm.isStarterSelectable

- Defined in src/data/pokemon-species.ts:138

### legendary

legendary: boolean

- Defined in src/data/pokemon-species.ts:556

### malePercent

malePercent: number

- Defined in src/data/pokemon-species.ts:560

### mythical

mythical: boolean

- Defined in src/data/pokemon-species.ts:557

### name

name: string

- Defined in src/data/pokemon-species.ts:554

### species

species: string

- Defined in src/data/pokemon-species.ts:558

### speciesId

speciesId: Species

Inherited from PokemonSpeciesForm.speciesId

- Defined in src/data/pokemon-species.ts:122

### subLegendary

subLegendary: boolean

- Defined in src/data/pokemon-species.ts:555

### type1

type1: Type

Inherited from PokemonSpeciesForm.type1

- Defined in src/data/pokemon-species.ts:125

### type2

type2: Type

Inherited from PokemonSpeciesForm.type2

- Defined in src/data/pokemon-species.ts:126

### weight

weight: number

Inherited from PokemonSpeciesForm.weight

- Defined in src/data/pokemon-species.ts:128

## Methods

### cry

- cry(scene, soundConfig?, ignorePlay?): AnySound

- #### Parameters

  - scene: default
  - `Optional` soundConfig: SoundConfig
  - `Optional` ignorePlay: boolean

  #### Returns AnySound

  Inherited from PokemonSpeciesForm.cry

  - Defined in src/data/pokemon-species.ts:488

### generateCandyColors

- generateCandyColors(scene): number[][]

- #### Parameters

  - scene: default

  #### Returns number[][]

  Inherited from PokemonSpeciesForm.generateCandyColors

  - Defined in src/data/pokemon-species.ts:501

### getAbility

- getAbility(abilityIndex): Abilities

- #### Parameters

  - abilityIndex: number

  #### Returns Abilities

  Inherited from PokemonSpeciesForm.getAbility

  - Defined in src/data/pokemon-species.ts:182

### getAbilityCount

- getAbilityCount(): number

- #### Returns number

  Inherited from PokemonSpeciesForm.getAbilityCount

  - Defined in src/data/pokemon-species.ts:178

### getBaseExp

- getBaseExp(): number

- #### Returns number

  Inherited from PokemonSpeciesForm.getBaseExp

  - Defined in src/data/pokemon-species.ts:231

### getBaseStat

- getBaseStat(stat): number

- Gets the species' base stat amount for the given stat.

  #### Parameters

  - stat: Stat

    The desired stat.

  #### Returns number

  The species' base stat amount.

  Inherited from PokemonSpeciesForm.getBaseStat

  - Defined in src/data/pokemon-species.ts:227

### getCompatibleFusionSpeciesFilter

- getCompatibleFusionSpeciesFilter(): PokemonSpeciesFilter

- #### Returns PokemonSpeciesFilter

  - Defined in src/data/pokemon-species.ts:799

### getCryKey

- getCryKey(formIndex?): string

- #### Parameters

  - `Optional` formIndex: number

  #### Returns string

  Inherited from PokemonSpeciesForm.getCryKey

  - Defined in src/data/pokemon-species.ts:347

### getEvolutionLevels

- getEvolutionLevels(): any[]

- #### Returns any[]

  - Defined in src/data/pokemon-species.ts:736

### getFormSpriteKey

- getFormSpriteKey(formIndex?): string

- #### Parameters

  - `Optional` formIndex: number

  #### Returns string

  Overrides PokemonSpeciesForm.getFormSpriteKey

  - Defined in src/data/pokemon-species.ts:820

### getIconAtlasKey

- getIconAtlasKey(formIndex?, shiny?, variant?): string

- #### Parameters

  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: number

  #### Returns string

  Inherited from PokemonSpeciesForm.getIconAtlasKey

  - Defined in src/data/pokemon-species.ts:293

### getIconId

- getIconId(female, formIndex?, shiny?, variant?): string

- #### Parameters

  - female: boolean
  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: number

  #### Returns string

  Inherited from PokemonSpeciesForm.getIconId

  - Defined in src/data/pokemon-species.ts:299

### getLevelMoves

- getLevelMoves(): LevelMoves

- #### Returns LevelMoves

  Inherited from PokemonSpeciesForm.getLevelMoves

  - Defined in src/data/pokemon-species.ts:186

### getName

- getName(formIndex?): string

- #### Parameters

  - `Optional` formIndex: number

  #### Returns string

  - Defined in src/data/pokemon-species.ts:594

### getPrevolutionLevels

- getPrevolutionLevels(): any[]

- #### Returns any[]

  - Defined in src/data/pokemon-species.ts:757

### getRegion

- getRegion(): Region

- #### Returns Region

  Inherited from PokemonSpeciesForm.getRegion

  - Defined in src/data/pokemon-species.ts:193

### getRootSpeciesId

- getRootSpeciesId(forStarter?): Species

- Method to get the root species id of a Pokemon. Magmortar.getRootSpeciesId(true) => Magmar Magmortar.getRootSpeciesId(false) => Magby

  #### Parameters

  - forStarter: boolean = false

    boolean to get the nonbaby form of a starter

  #### Returns Species

  The species

  Inherited from PokemonSpeciesForm.getRootSpeciesId

  - Defined in src/data/pokemon-species.ts:166

### getSimulatedEvolutionChain

- getSimulatedEvolutionChain(currentLevel, forTrainer?, isBoss?, player?): any[]

- #### Parameters

  - currentLevel: number
  - forTrainer: boolean = false
  - isBoss: boolean = false
  - player: boolean = false

  #### Returns any[]

  - Defined in src/data/pokemon-species.ts:779

### getSpeciesForLevel

- getSpeciesForLevel(level, allowEvolving?, forTrainer?, strength?): Species

- #### Parameters

  - level: number
  - allowEvolving: boolean = false
  - forTrainer: boolean = false
  - strength: PartyMemberStrength = PartyMemberStrength.WEAKER

  #### Returns Species

  - Defined in src/data/pokemon-species.ts:644

### getSpriteAtlasPath

- getSpriteAtlasPath(female, formIndex?, shiny?, variant?): string

- #### Parameters

  - female: boolean
  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: number

  #### Returns string

  Inherited from PokemonSpeciesForm.getSpriteAtlasPath

  - Defined in src/data/pokemon-species.ts:246

### getSpriteId

- getSpriteId(female, formIndex?, shiny?, variant?, back?): string

- #### Parameters

  - female: boolean
  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: number
  - `Optional` back: boolean

  #### Returns string

  Inherited from PokemonSpeciesForm.getSpriteId

  - Defined in src/data/pokemon-species.ts:251

### getSpriteKey

- getSpriteKey(female, formIndex?, shiny?, variant?): string

- #### Parameters

  - female: boolean
  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: number

  #### Returns string

  Inherited from PokemonSpeciesForm.getSpriteKey

  - Defined in src/data/pokemon-species.ts:268

### `Private` getStrengthLevelDiff

- getStrengthLevelDiff(strength): number

- #### Parameters

  - strength: PartyMemberStrength

  #### Returns number

  - Defined in src/data/pokemon-species.ts:627

### getTrainerSpeciesForLevel

- getTrainerSpeciesForLevel(level, allowEvolving?, strength): Species

- #### Parameters

  - level: number
  - allowEvolving: boolean = false
  - strength: PartyMemberStrength

  #### Returns Species

  - Defined in src/data/pokemon-species.ts:623

### getVariantDataIndex

- getVariantDataIndex(formIndex?): string | number

- Variant Data key/index is either species id or species id followed by -formkey

  #### Parameters

  - `Optional` formIndex: number

    optional form index for pokemon with different forms

  #### Returns string | number

  species id if no additional forms, index with formkey if a pokemon with a form

  Inherited from PokemonSpeciesForm.getVariantDataIndex

  - Defined in src/data/pokemon-species.ts:280

### getWildSpeciesForLevel

- getWildSpeciesForLevel(level, allowEvolving, isBoss, gameMode): Species

- #### Parameters

  - level: number
  - allowEvolving: boolean
  - isBoss: boolean
  - gameMode: GameMode

  #### Returns Species

  - Defined in src/data/pokemon-species.ts:619

### isCatchable

- isCatchable(): boolean

- #### Returns boolean

  Inherited from PokemonSpeciesForm.isCatchable

  - Defined in src/data/pokemon-species.ts:201

### isObtainable

- isObtainable(): boolean

- #### Returns boolean

  Overrides PokemonSpeciesForm.isObtainable

  - Defined in src/data/pokemon-species.ts:816

### isOfType

- isOfType(type): boolean

- #### Parameters

  - type: number

  #### Returns boolean

  Inherited from PokemonSpeciesForm.isOfType

  - Defined in src/data/pokemon-species.ts:174

### isRareRegional

- isRareRegional(): boolean

- #### Returns boolean

  Inherited from PokemonSpeciesForm.isRareRegional

  - Defined in src/data/pokemon-species.ts:213

### isRegional

- isRegional(): boolean

- #### Returns boolean

  Inherited from PokemonSpeciesForm.isRegional

  - Defined in src/data/pokemon-species.ts:205

### isTrainerForbidden

- isTrainerForbidden(): boolean

- #### Returns boolean

  Inherited from PokemonSpeciesForm.isTrainerForbidden

  - Defined in src/data/pokemon-species.ts:209

### loadAssets

- loadAssets(scene, female, formIndex?, shiny?, variant?, startLoad?): Promise<void>

- #### Parameters

  - scene: default
  - female: boolean
  - `Optional` formIndex: number
  - `Optional` shiny: boolean
  - `Optional` variant: Variant
  - `Optional` startLoad: boolean

  #### Returns Promise<void>

  Inherited from PokemonSpeciesForm.loadAssets

  - Defined in src/data/pokemon-species.ts:434

### localize

- localize(): void

- #### Returns void

  Implementation of Localizable.localize

  - Defined in src/data/pokemon-species.ts:615

### validateStarterMoveset

- validateStarterMoveset(moveset, eggMoves): boolean

- #### Parameters

  - moveset: StarterMoveset
  - eggMoves: number

  #### Returns boolean

  Inherited from PokemonSpeciesForm.validateStarterMoveset

  - Defined in src/data/pokemon-species.ts:413